name: "Vmagent Persistent Queue Is Dropping Data"
expression: |
  sum(increase(vm_persistentqueue_bytes_dropped_total{job=~".*agent.*"}[5m])) without (path) > 0
threshold: 0
for: "10m"
condition_type: "gt"
need_reduce: true
reducer_type: "sum"
no_data_state: "OK"
exec_err_state: "KeepLast"
labels:
  service: "vmagent"
  severity: "critical"
  status: "test"
summary: |
  Инстанс {{ $labels.instance }} сбрасывает данные из переполненного буфера.
description: |
  VMAgent-у на инстансе {{ $labels.instance }} пришлось сбросить данные из дискового буфера.
  
  **Влияние: ПРОИСХОДИТ АКТИВНАЯ ПОТЕРЯ МЕТРИК!** Дисковый буфер переполнен, и vmagent удаляет старые данные, чтобы освободить место для новых.